TAAS - Feature #61

Supplier
09/22/2022 11:43 AM - Anil KV

Status: Reopen Bugs Coding Done Start date: 09/23/2022
Priority: Normal Due date: 09/27/2022
Assignee: Greeshma S % Done: 70%
Category: Estimated time: 32:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier

Description

Coding Supplier

History

#1 - 09/27/2022 11:11 AM - Anil KV

Deletetion SP
sp_delete_account(binAccountld::BIGINT, intSysActionl::INT, binDeletedUserld::BIGINT, objSpOutRes);

#2 - 09/27/2022 07:22 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

Ref: Customer #60

#3 - 09/28/2022 11:22 AM - Anil KV

- File functionAccounts.sql added

#4 - 10/06/2022 09:54 AM - Shanto Shaji
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#5 - 10/07/2022 01:28 PM - Anil KV

accounts.tbl_account->sin_ac_category = 19

#6 - 10/08/2022 01:55 PM - Shanto Shaiji

//Date Format to UAT

/lthis.mdISupplier.mdlAcPersonalData.datDob =
this.insGlobalFunctions.fnGetCurrentDateAndTimeObject(this.mdISupplier.mdIAcPersonalData.datDob);
//this.mdISupplier.mdIAcPersonalData.datMarried =
this.insGlobalFunctions.fnGetCurrentDateAndTimeObject(this.mdISupplier.mdIAcPersonalData.datMarried);
//this.mdISupplier.mdlAcPersonalData.datldExpire =
this.insGlobalFunctions.fnGetCurrentDateAndTimeObject(this.mdISupplier.mdIAcPersonalData.datldExpire);
/lthis.mdIContract.datContractForm = this.insGlobalFunctions.fnGetCurrentDateAndTimeObject(this.mdIContract.datContractForm);
/lthis.mdIContract.datContractTo = this.insGlobalFunctions.fnGetCurrentDateAndTimeObject(this.mdIContract.datContractTo);

#7 - 10/10/2022 06:17 PM - Shanto Shaji
- Status changed from Coding Started to Particialy Coding Done
- % Done changed from 40 to 30

#8 - 10/10/2022 06:18 PM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 30 to 60

#9 - 10/10/2022 06:18 PM - Shanto Shaji
- Status changed from Coding Done to Particialy Coding Done

- % Done changed from 60 to 30

#10 - 10/11/2022 02:50 PM - Shanto Shaji
To Do In Supplier

Approved by Name

Default Main Ledger

Base Currency As Default Currency
Allow Corporate card tab

Reco File Format Binding

#11 - 11/01/2022 04:39 PM - Shanto Shaji
To Do

1. Contract Tab

#12 - 11/23/2022 11:29 AM - Shanto Shaji
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#13 - 11/28/2022 05:33 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1. IN CONTRACT TAB, RAW FILTER BUTTON BUGS
(WHEN CLICKING FILTER BUTTON, GUI PROCESSING ADD FUNCTION)

#14 - 11/29/2022 10:01 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 12/02/2022 10:32 AM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to Shanto Shaji

ISSUE FOUND *****

1.ALLOW DUPLICATION ON NAME

2.SET VALIDATION ON GRACEPERIOD & CREDIT LIMIT
(SYSTEM,CUSTOMER)

3.EXPIRY DATE NOT TO BE PREVIOUS DATE
4.SET VALIDATION ON TAX AND COMMISSION
(SYSTEM)

#16 - 12/07/2022 04:31 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#17 - 12/08/2022 11:49 AM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Shanto Shaji to Amal Cyriac

ISSUE FOUND *****

1.NOT ALLOW DUPLICATION ON CONTRACT NUMBER
2.FIXBUGS ON SERVICE WIDGET

(CANT CHOOSE ONLY ONE SERVICE)

#18 - 12/08/2022 02:23 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 02/08/2023 02:24 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.UPDATE REGION

2.FIX DUPLICATION ERROR

(ACT AS CLIENT)

3.SET PROPER TRANSLAIONS ON RECO. FILE FORMAT

#20 - 02/16/2023 04:25 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 03/16/2023 05:06 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on selection box - drop down button missing
(Receipt & Payment Mode)

2.Update "Edit & Delete" icons - Contract Tab

#22 - 03/21/2023 05:53 PM - Amal Cyriac

ISSUE FOUND ***

1.Fix bugs on selection box - drop down button missing
(Receipt & Payment Mode, Region)

2.Update "Edit & Delete" icons - Contract Tab

3.Use dd/mm/yyyy format on date

(Contract Tab--> Date)

#23 - 03/28/2023 07:04 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 03/29/2023 09:47 AM - Shanto Shaji
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#25 - 03/29/2023 10:23 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 03/29/2023 05:11 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Remove increment & decrement icons

(Customer tab- Credit limit & Grace period)

2.Use proper Icon & Label on Contract tab - Add button
(SAVE change to "+ Add")

3.Set mandatory fields red & required

(Customer tab)

4.Display proper confimation Alert/Message before deletion
(Code & Name- Contract Tab)

5.Fix errors on contrat tab

(Cant remove raw/contract)

6.Fix bugs while check/uncheck

(duplication on contract )

7.Add precision on amount

(Corporate card tab)

8.Fix error on corporate card

(Customer corporate card not showing)

9.Fix bugs on date

(Saved date change to previous )

#27 - 03/30/2023 05:27 PM - Shanto Shaji
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

To Do

Add Precision In Corporate Card ChargeAmount

#28 - 03/31/2023 05:49 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****

1.Fix error on contract tab
>Cant edit contract number
>Set validation on date range

#29 - 04/01/2023 12:27 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#30 - 05/09/2023 03:52 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.In Currency Multi Selection Box widget Tick "BASE1 (QAR)" Then Select "BASE1 (QAR)" as default currency
2.Set proper translation on Label ( Tax on Commission)

#31 - 05/09/2023 04:28 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

To Do

Translation Wil after Amal Commit

#32 - 05/10/2023 06:51 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix duplication error on supplier while saving act as client

#33 - 05/12/2023 10:09 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#34 - 05/12/2023 01:58 PM - Shanto Shaji
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#35 - 05/29/2023 09:19 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#36 - 06/12/2023 06:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set mandatory fields red and required

(Set red star on Status)

2.Set tool tips on GUI - Date Picker

3.Fix bugs on GUI while switching tabs

(Set similar height for all tabs)

4.Use proper labels on Payment Mode multi selection box
5.Fix bugs on Translation - Tax on Commision
(Arabic & Hindi)

6.Add precision on GUI

(Tax on Commission)

#37 - 06/13/2023 01:55 PM - Shanto Shaji

bug:->Use proper labels on Payment Mode multi selection box(Cant Add Tool tip to individual item in dx tag box)

Reported To Junaid

#38 - 06/13/2023 01:56 PM - Shanto Shaji
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#39 - 06/20/2023 10:25 AM - Shanto Shaji

- Status changed from Particialy Coding Done to Reopen Bugs Coding Done

- % Done changed from 40 to 60

#40 - 06/22/2023 05:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Connect module with Set Main Ledger GUI

#41 - 07/08/2023 09:37 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#42 - 07/11/2023 04:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

05/03/2025

5/10



- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CORPORATE CARD CHARGE NOT SHOWING IN LIST WHILE RELOADING

#43 - 07/11/2023 04:32 PM - unnikannan S
2.ADD BLANK OPTION FOR NON MANDATORY FIELDS

#44 - 07/11/2023 05:09 PM - unnikannan S
3.ADD TOOL TIPS

#45 - 07/25/2023 12:03 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#46 - 08/21/2023 05:19 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED -

1. ADD ERROR FILTER IN SUPPLIER - CORPORATE CARD GRID

#47 - 08/22/2023 06:08 PM - unnikannan S
2.CONNECT MODULE WITH SET MAIN LEDGER

#48 - 09/08/2023 02:36 PM - unnikannan S

unnikannan S wrote in #note-47:

2.CONNECT MODULE WITH SET MAIN LEDGER
3.REMOVE PASSWORD AND ACCOUNT NAME

#49 - 09/09/2023 05:40 PM - unnikannan S
unnikannan S wrote in #note-48:
unnikannan S wrote in #note-47:
2.CONNECT MODULE WITH SET MAIN LEDGER
3.REMOVE PASSWORD AND ACCOUNT NAME
4 MISSING ADDED CATEGORY AND FAMILY

5.DATE GOING TO PAST DATE
6.NOT ADDING AMOUNT OF CORPORATE CARD LIST

#50 - 09/22/2023 12:08 PM - unnikannan S
- Tested By changed from Seema Mathew to unnikannan S
unnikannan S wrote in #note-49:
unnikannan S wrote in #note-48:
unnikannan S wrote in #note-47:
2.CONNECT MODULE WITH SET MAIN LEDGER

3.REMOVE PASSWORD AND ACCOUNT NAME
4.MISSING ADDED CATEGORY AND FAMILY
5.DATE GOING TO PAST DATE
6.NOT ADDING AMOUNT OF CORPORATE CARD LIST
7.CONNECT MODULE WITH PRINT

#51 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#52 - 10/27/2023 08:08 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#53 - 02/02/2024 02:33 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- Assignee changed from Baseem Shan to Vivekp V

- % Done changed from 60 to 50

Gui Change-> Add Security Tab [GUI Given]

#54 - 02/02/2024 07:59 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- Assignee changed from Vivekp V to Baseem Shan

- % Done changed from 50 to 60

Gui Change DONE-> Add Security Tab [GUI Given]

#55 - 02/10/2024 04:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.DONT ALLOW TO CLEAR THE ACT AS CHECK BOXES IN CASE IF THE ACCOUNT WAS ALREADY USED IN ANY DOCUMENT AS A
CUSTOMER

(Discuss With Anil Sir for Changes )

FIXED - 2.DUPLICATION ERROR

#56 - 02/14/2024 03:49 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#57 - 02/15/2024 12:59 PM - unnikannan S
TESTING DONE

#58 - 03/08/2024 11:59 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

FIXED - 1.CONSIDER MAIN LEDGER CHANGES IN Ul AS PER THE SELECTIONS IN SET MAIN LEDGER MODULE
#59 - 03/11/2024 07:20 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#60 - 03/12/2024 09:34 AM - Baseem Shan
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#61 - 03/14/2024 11:06 AM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.NAN IN CORPORATE CARD AMOUNT FIELD
2.CLEAR SHOWING CODE IN SUPPLIER NAME FIELD ON PRINT
3.CLEAR MAIN LEDGER CODE IN PRINT ON PRINT

#62 - 03/18/2024 06:13 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#63 - 03/19/2024 12:36 PM - unnikannan S
TESTING DONE

#64 - 03/19/2024 12:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CANT ADD DECIMAL VALUE IN CREDIT LIMIT FIELD
2.MISSING PRECISION ON SAVE/UPDATE

#65 - 03/20/2024 05:11 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#66 - 06/29/2024 03:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
FIXED - 1.Cant Change Default Currency
#67 - 07/01/2024 10:18 AM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#68 - 07/01/2024 10:37 AM - unnikannan S
TESTING DONE

#69 - 07/26/2024 03:51 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Changes

System Tab -> Bill Submission -> Change Rename Monthly to Monthly/Month (min 1 max 6)-Default 1
System Tab -> Add Blue Star and Title to Bill Submission.
Apply this changes to Customer tab while checking Act As Client Checkbox

#70 - 08/01/2024 10:03 AM - Baseem Shan
- Status changed from New Changes to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#71 - 08/07/2024 02:38 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

System Tab -> Change in Bill Submission While Change in Payment Terms (Refer Payment Terms)

Apply this change in Customer Tab while checking "Act As Client"

#72 - 08/22/2024 12:21 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

Validation change

Remove the validation for ID expiry date

#73 - 08/22/2024 03:09 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#74 - 09/10/2024 05:13 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#75 - 09/26/2024 05:01 PM - Augustin Jose
GUI Changes - For Whatsapp phone number

Personal Tab >Phenre
> Split phone Entry box to two entry box.

#76 - 10/11/2024 02:39 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Deleted supplier still showing in the Ul after deletion
2. Imported accounts cannot be deleted if approved from account approve

#77 - 10/14/2024 09:55 AM - Anil KV

- Assignee changed from Baseem Shan to Vivekp V

#78 - 10/14/2024 04:36 PM - Arathy PS

- Assignee changed from Vivekp V to Greeshma S

#79 - 10/14/2024 04:59 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#80 - 11/15/2024 12:47 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#81 - 04/10/2025 12:21 PM - Theja Ponon

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 90 to 50

Issue Found

1)Can set expiry date to a previous date (Additional info tab)--- not an issue

#82 - 04/10/2025 03:52 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

Files

1-CsModel.cs 2.98 KB 09/27/2022 Anil KV
2-tsModel.ts 2.12 KB 09/27/2022 Anil KV
3-CsFile.cs 13.5KB 09/27/2022 Anil KV
4-CsControllerFile.cs 24.8 KB 09/27/2022 Anil KV
5-TsFile.ts 13.8 KB 09/27/2022 Anil KV
6-HtmiFile.html 1.89 KB 09/27/2022 Anil KV
sql.sql 16.6 KB 09/27/2022 Anil KV
functionAccounts.sql 151 KB 09/28/2022 Anil KV
